docusign.cloud-storage.get-cloud-storage-folder-all ​
Retrieves a list of all the items in a specified folder from the specified cloud storage provider.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
serviceid | string | Yes | — | The ID of the service to access. Valid values are the service name ("Box") or the numerical serviceId ("4136"). |
userid | string | Yes | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
cloud_storage_folder_path | string | No | — | A comma separated list of folder IDs included in the request. |
count | string | No | — | The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 25 |
order | string | No | — | The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order. |
order_by | string | No | — | The file attribute to use to sort the results. Valid values are: * modified * name |
search_text | string | No | — | Use this parameter to search for specific text. |
start_position | string | No | — | The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
serviceid | string | Yes | — | The ID of the service to access. Valid values are the service name ("Box") or the numerical serviceId ("4136"). |
userid | string | Yes | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
cloud_storage_folder_path | string | No | — | A comma separated list of folder IDs included in the request. |
count | string | No | — | The maximum number of results to return. Use start_position to specify the number of results to skip. Default: 25 |
order | string | No | — | The order in which to sort the results. Valid values are: * asc: Ascending order. * desc: Descending order. |
order_by | string | No | — | The file attribute to use to sort the results. Valid values are: * modified * name |
search_text | string | No | — | Use this parameter to search for specific text. |
start_position | string | No | — | The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/{serviceId}/folders |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.cloud-storage.get-cloud-storage-folder-all",
"initial_data": {
"base_url": "value",
"accountid": "value",
"serviceid": "value",
"userid": "value"
}
}